# Yabi - a sophisticated online research environment for Grid, High Performance and Cloud computing.
# Copyright (C) 2015  Centre for Comparative Genomics, Murdoch University.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.management.base import NoArgsCommand
from optparse import make_option

from ...models import Tool, ToolDesc
from ...migrationutils import deduplicate_tool_descs


class Command(NoArgsCommand):
    help = "Removes ToolDesc objects which are the same."
    option_list = NoArgsCommand.option_list + (
        make_option('--dry-run', '-n',
                    action='store_true',
                    dest='dry_run',
                    default=False,
                    help="Don't save changes to database"),
    )

    def handle(self, *args, **options):
        deduplicate_tool_descs(Tool, ToolDesc, options['dry_run'])
